<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Novic - {{ comic.nombre }} - {{ autor.username }}</title>
    {% load static %}{% load mis_tags %}
    <link rel="shortcut icon" type="image/png" href="{% static 'media/favicon.ico' %}" />


    <link rel="stylesheet" href="{% static 'css/estilos.css' %}">
    <link rel="stylesheet" href="{% static 'css/fonticons.css' %}">
    <link rel="stylesheet" href="{% static 'css/login.css' %}">



    <link rel="stylesheet" href="https://cdn.jsdelivr.net/bxslider/4.2.12/jquery.bxslider.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.11.2/jquery-ui.min.js"></script>

    <script src="https://cdn.jsdelivr.net/bxslider/4.2.12/jquery.bxslider.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
        integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
        crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
        integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
        crossorigin="anonymous"></script>




    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    </link>

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css"
        crossorigin="anonymous">
    </link>

    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
        integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
        crossorigin="anonymous"></script>
    <link rel="stylesheet"
        href="https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.9/dist/css/bootstrap-select.min.css">
    </link>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.9/dist/js/bootstrap-select.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/js-cookie@2/src/js.cookie.min.js"></script>
    <style>
        @import url('https://fonts.googleapis.com/css?family=Nunito&display=swap');
    </style>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/tiny-slider/2.9.2/min/tiny-slider.js"></script>
    <script src="https://mozilla.github.io/pdf.js/build/pdf.js"></script>
  
</head>

<body>
    {% include "core/navbar.html" %}
    <div class="comiccont ">
        <div class="mr-3 mt-2 d-inline-block position-absolute" style="left:85%">
            {% if usuario.id == comic.usuario.id %}
            <a href="#" class="btn  btn-outline-dark" data-toggle="modal" data-target="#del-confirm-comic">
                Eliminar</a>

            <a href="{% url 'modificar_comic' comic.id %}" class="btn btn-outline-dark">
                Editar</a>
            {%endif%}
        </div>

        <div class="comicbanner">

            <img src="{{ comic.imagen_banner.url}}" />
        </div>
        <div class="comicpresent">
            <div class="container">
                <div class="row">
                    <div class="col-sm">
                        <img class="comicposter" src="{{ comic.imagen_comic.url}}" alt="">
                    </div>
                    <div class="col-sm">
                        <label class="comicnombre text-center w-100">{{ comic.nombre }}</label>
                        <div class="row" style="font-size:30px">
                            <div class="col-sm text-right pr-2">
                                {%is_seguidores comic.id request.user.id as resp_is_seguidores %}
                                {% if resp_is_seguidores %}
                                <i class="fic-bookmark bookmark" style="cursor:pointer" data-cid="{{ comic.id }}"></i>
                                {% else %}
                                <i class="fic-bookmark-o bookmark" style="cursor:pointer" data-cid="{{ comic.id }}"></i>
                                {% endif %}
                            </div>
                            <div class="col-sm text-left pl-2">
                                {%is_me_megusta comic.id request.user.id as resp_is_me_gusta %}
                                {% if resp_is_me_gusta %}
                                <i class="fic-heart favorite" style="cursor:pointer" data-cid="{{ comic.id }}"></i>
                                {% else %}
                                <i class="fic-heart-o favorite" style="cursor:pointer" data-cid="{{ comic.id }}"></i>
                                {% endif %}
                                <span class="cantmegusta">{% cant_megusta comic.id %}</span> 
                            </div>

                        </div>
                        <div class="text-center w-100">
                            {% tags_comic comic.id as tags%}
                            {% for tag in  tags%}
                            <label for="" class="rounded-pill border border-light px-2 py-2"
                                style="background-color:{{tag.color}}">{{ tag.nombre}}</label>
                            {% endfor %}
                        </div>

                        <div class="row" style="font-size:20px">
                            <div class="col-sm text-right pr-2">
                                <i class="fic-eye-1"></i>{% cant_vista comic.id %}
                            </div>
                            <div class="col-sm text-left pl-2">
                                <i class="fic-comment-alt2-stroke"></i>{% cant_comment comic.id %}
                            </div>

                        </div>
                    </div>
                    <div class="col-sm">
                        <label class="comic-sintitle"><u>Sinopsis:</u></label>
                        <div class="text-left w-100">
                            {{comic.desc}}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="container pt-5 comicdata">
        <div class="row">
            <div class="col-4">
                <div class="container">
                    <div class="row">
                        <div class="col text-right">
                            <img class="rounded-circle autpic" src="{{autor.imagen_usuario.url}}" width="80px"
                                height="80px" />
                        </div>
                        <div class="col text-left">
                            <label class="w-100 autnomtit">Autor</label>
                            <label class="w-100 autnom">{{autor.username}}</label>
                        </div>
                    </div>
                </div>
                <div class="container mt-3 cont-caps">
                    <div class="w-100 captit text-left"> Capítulos
                        {% if usuario.id == autor.id %}
                        <p class="text-right float-right">
                            <a href="#" class="btn btn-default btn-sm" data-toggle="modal" data-target="#addcap">
                                <i class="fic-plus"></i> Agregar</a>
                        </p>
                        <div class="modal fade" id="addcap" tabindex="-1" role="dialog" aria-labelledby="addcap"
                            aria-hidden="true">
                            <div class="modal-dialog modal-dialog-centered" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="exampleModalLabel">Agregar Capitulo</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <form class="cap-modif" data-cid="{{comic.id}}">
                                        <div class="modal-body text-left" style="font-size:14px">

                                            {% csrf_token %}
                                            <div class="form-row">
                                                <div class="form-group col-md-6">
                                                    <label for="txtNombre">Nombre</label>
                                                    <input type="text" class="form-control rounded border "
                                                        id="txtNombre" name="txtNombre" placeholder="" />

                                                </div>
                                                <div class="form-group col-s-d2  ">
                                                    <label for="txtNumero">Numero</label>
                                                    <input type="number" class="form-control rounded border  nospin"
                                                        id="txtNumero" name="txtNumero" placeholder="" />
                                                </div>
                                            </div>
                                            <div class="form-row">
                                                <div class="input-group mb-3">
                                                    <div class="custom-file">
                                                        <input type="file" class="custom-file-input cap-pdf" id="pdf"
                                                            name="pdf" lang="es" accept="application/pdf">
                                                        <label class="custom-file-label" for="pdf">Examinar</label>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="form-row">
                                                <canvas id="pdfViewer"></canvas>
                                            </div>

                                        </div>
                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-secondary"
                                                data-dismiss="modal">Cerrar</button>
                                            <button type="submit" class="btn btn-primary">Guardar</button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                        {%endif%}
                    </div>
                    {%for cap in capitulos%}
                    {% include "core/caplistitem.html" %}
                    {%endfor%}
                </div>
            </div>
            <div class="col-8">
                <div class="w-100 commenttit text-center"> ¡Comenta que te pareció este trabajo!</div>
                {% if usuario.is_authenticated %}
                <div class="form-group pt-2">
                    <textarea class="form-control txt-comment" rows="2" id="comment"></textarea>
                    <p class="text-right"><a href="#" class="btn btn-default btn-sm add-comment"
                            data-cid="{{comic.id}}"><i class="fic-plus"></i> Agregar</a>
                    </p>
                </div>
                {%endif%}
                <div class="container mt-3 comment-container">
                    {% for comm in comment %}
                    <div class="card">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-2">
                                    <img src="{{ comm.usuario.imagen_usuario.url}}" class="img img-rounded img-fluid" />
                                    <p class="text-secondary text-center"></p>
                                </div>
                                <div class="col-md-10">
                                    <p>
                                        <a class="float-left" href="#"><strong>{{ comm.usuario.username}}</strong></a>
                                        {% if usuario.id == comm.usuario.id %}
                                        <i data-commid="{{comm.id}}" class="fic-trash float-right del-comment"
                                            style="cursor:pointer" data-toggle="modal"
                                            data-target="#del-confirm-{{comm.id}}"></i>
                                        <div class="modal fade" id="del-confirm-{{comm.id}}" tabindex="-1" role="dialog"
                                            aria-labelledby="del-confirm-{{comm.id}}" aria-hidden="true">
                                            <div class="modal-dialog" role="document">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <h5 class="modal-title" id="exampleModalLabel">¿Eliminar
                                                            comentario?</h5>
                                                        <button type="button" class="close" data-dismiss="modal"
                                                            aria-label="Close">
                                                            <span aria-hidden="true">&times;</span>
                                                        </button>
                                                    </div>

                                                    <div class="modal-footer">
                                                        <button type="button" class="btn btn-secondary"
                                                            data-dismiss="modal">No</button>
                                                        <button type="button" class="btn btn-primary del-comm-ok"
                                                            data-commid="{{comm.id}}" data-dismiss="modal">Si</button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        {%endif%}
                                    </p>
                                    <p> <time class="comment-date"
                                            datetime="{{ comm.created_date|date:'d-m-Y G:i:s' }}"><i
                                                class="fic-clock-o"></i>
                                            {{ comm.created_date|date:'d-m-Y G:i:s' }}</time>
                                    </p>
                                    <div class="clearfix"></div>
                                    <p>{{comm.text}}</p>

                                    <p>
                                        {% if usuario.is_authenticated %}
                                        <a class="float-right btn btn-outline-primary ml-2" data-toggle="collapse"
                                            href="#replycollapse-{{comm.id}}" role="button" aria-expanded="false"
                                            aria-controls="replycollapse-{{comm.id}}"> <i class="fic-reply"></i>
                                            Responder</a>
                                        {%endif%}

                                    </p>
                                </div>
                                <div class="collapse w-100" id="replycollapse-{{comm.id}}">
                                    <div class="card card-body">
                                        <div class="form-group pl-2 w-100">
                                            <textarea class="form-control txt-comment-reply" rows="2"
                                                id="comment"></textarea>
                                            <p class="text-right">
                                                <a href="#" class="btn btn-default btn-sm add-reply"
                                                    data-cid="{{comic.id}}" data-commentid="{{comm.id}}">
                                                    <i class="fic-plus"></i> Agregar
                                                </a>
                                            </p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            {% subcomments_t comm.id as sc%}
                            {% for sc in  sc%}
                            <div class="card card-inner">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-md-2">
                                            <img src="{{ sc.usuario.imagen_usuario.url}}"
                                                class="img img-rounded img-fluid" />
                                            <p class="text-secondary text-center"></p>
                                        </div>
                                        <div class="col-md-10">
                                            <p><a href="#"><strong>{{ sc.usuario.username}}</strong></a>
                                                {% if usuario.id == sc.usuario.id %}
                                                <i data-commid="{{comm.id}}" class="fic-trash float-right del-comment"
                                                    style="cursor:pointer" data-toggle="modal"
                                                    data-target="#del-confirm-{{comm.id}}"></i>
                                                <div class="modal fade" id="del-confirm-{{sc.id}}" tabindex="-1"
                                                    role="dialog" aria-labelledby="del-confirm-{{sc.id}}"
                                                    aria-hidden="true">
                                                    <div class="modal-dialog" role="document">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h5 class="modal-title" id="exampleModalLabel">¿Eliminar
                                                                    comentario?</h5>
                                                                <button type="button" class="close" data-dismiss="modal"
                                                                    aria-label="Close">
                                                                    <span aria-hidden="true">&times;</span>
                                                                </button>
                                                            </div>

                                                            <div class="modal-footer">
                                                                <button type="button" class="btn btn-secondary"
                                                                    data-dismiss="modal">No</button>
                                                                <button type="button"
                                                                    class="btn btn-primary del-comm-ok"
                                                                    data-commid="{{sc.id}}"
                                                                    data-dismiss="modal">Si</button>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                {%endif%}
                                            </p>
                                            <p> <time class="comment-date"
                                                    datetime="{{ comm.created_date|date:'d-m-Y G:i:s' }}"><i
                                                        class="fic-clock-o"></i>
                                                    {{ comm.created_date|date:'d-m-Y G:i:s' }}</time>
                                            </p>
                                            <p>{{sc.text}}</p>
                                            <p>
                                                <!--  {% if user.is_authenticated %}
                                                <a class="float-right btn btn-outline-primary ml-2" data-toggle="collapse"
                                                    href="#replycollapse-{{sc.id}}" role="button" aria-expanded="false"
                                                    aria-controls="replycollapse-{{sc.id}}"> <i class="fic-reply"></i> Responder</a>
                                                {%endif%}
                                                -->

                                            </p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="collapse w-100" id="replycollapse-{{sc.id}}">
                                <div class="card card-body">
                                    <div class="form-group pl-2 w-100">
                                        <textarea class="form-control txt-comment-reply" rows="2"
                                            id="comment"></textarea>
                                        <p class="text-right">
                                            <a href="#" class="btn btn-default btn-sm add-reply" data-cid="{{comic.id}}"
                                                data-commentid="{{sc.id}}">
                                                <i class="fic-plus"></i> Agregar
                                            </a>
                                        </p>
                                    </div>
                                </div>
                            </div>
                            {%endfor%}
                        </div>
                    </div>
                    {%endfor%}
                </div>


            </div>

        </div>
    </div>
    <div class="modal fade" id="del-confirm-comic" tabindex="-1" role="dialog" aria-labelledby="del-confirm-comic"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">¿Eliminar
                        {{comic.nombre}}?</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>

                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">No</button>
                    <button type="button" class="btn btn-primary del-comic-ok" data-cid="{{comic.id}}"
                        data-dismiss="modal">Si</button>
                </div>
            </div>
        </div>
    </div>



</body>
<script src="{% static 'js/comic.js' %}"></script>
</html>